Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network65.64.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
65.64.0.0
Broadcast address
65.71.255.255
First usable
65.64.0.1
Last usable
65.71.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 41400000 · Integer 1094713344 to 1095237631
Reverse DNS zones
64.65.in-addr.arpa
65.65.in-addr.arpa
66.65.in-addr.arpa
67.65.in-addr.arpa
68.65.in-addr.arpa
69.65.in-addr.arpa
70.65.in-addr.arpa
71.65.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000001.01000000.00000000.0000000065.64.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network01000001.01000000.00000000.0000000065.64.0.0
Broadcast01000001.01000111.11111111.1111111165.71.255.255
Split into smaller subnets/21

65.64.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
165.64.0.0/2165.64.0.1 to 65.64.7.25465.64.7.2552,046
265.64.8.0/2165.64.8.1 to 65.64.15.25465.64.15.2552,046
365.64.16.0/2165.64.16.1 to 65.64.23.25465.64.23.2552,046
465.64.24.0/2165.64.24.1 to 65.64.31.25465.64.31.2552,046
565.64.32.0/2165.64.32.1 to 65.64.39.25465.64.39.2552,046
665.64.40.0/2165.64.40.1 to 65.64.47.25465.64.47.2552,046
765.64.48.0/2165.64.48.1 to 65.64.55.25465.64.55.2552,046
865.64.56.0/2165.64.56.1 to 65.64.63.25465.64.63.2552,046
965.64.64.0/2165.64.64.1 to 65.64.71.25465.64.71.2552,046
1065.64.72.0/2165.64.72.1 to 65.64.79.25465.64.79.2552,046
1165.64.80.0/2165.64.80.1 to 65.64.87.25465.64.87.2552,046
1265.64.88.0/2165.64.88.1 to 65.64.95.25465.64.95.2552,046
1365.64.96.0/2165.64.96.1 to 65.64.103.25465.64.103.2552,046
1465.64.104.0/2165.64.104.1 to 65.64.111.25465.64.111.2552,046
1565.64.112.0/2165.64.112.1 to 65.64.119.25465.64.119.2552,046
1665.64.120.0/2165.64.120.1 to 65.64.127.25465.64.127.2552,046
1765.64.128.0/2165.64.128.1 to 65.64.135.25465.64.135.2552,046
1865.64.136.0/2165.64.136.1 to 65.64.143.25465.64.143.2552,046
1965.64.144.0/2165.64.144.1 to 65.64.151.25465.64.151.2552,046
2065.64.152.0/2165.64.152.1 to 65.64.159.25465.64.159.2552,046
2165.64.160.0/2165.64.160.1 to 65.64.167.25465.64.167.2552,046
2265.64.168.0/2165.64.168.1 to 65.64.175.25465.64.175.2552,046
2365.64.176.0/2165.64.176.1 to 65.64.183.25465.64.183.2552,046
2465.64.184.0/2165.64.184.1 to 65.64.191.25465.64.191.2552,046
2565.64.192.0/2165.64.192.1 to 65.64.199.25465.64.199.2552,046
2665.64.200.0/2165.64.200.1 to 65.64.207.25465.64.207.2552,046
2765.64.208.0/2165.64.208.1 to 65.64.215.25465.64.215.2552,046
2865.64.216.0/2165.64.216.1 to 65.64.223.25465.64.223.2552,046
2965.64.224.0/2165.64.224.1 to 65.64.231.25465.64.231.2552,046
3065.64.232.0/2165.64.232.1 to 65.64.239.25465.64.239.2552,046
3165.64.240.0/2165.64.240.1 to 65.64.247.25465.64.247.2552,046
3265.64.248.0/2165.64.248.1 to 65.64.255.25465.64.255.2552,046
3365.65.0.0/2165.65.0.1 to 65.65.7.25465.65.7.2552,046
3465.65.8.0/2165.65.8.1 to 65.65.15.25465.65.15.2552,046
3565.65.16.0/2165.65.16.1 to 65.65.23.25465.65.23.2552,046
3665.65.24.0/2165.65.24.1 to 65.65.31.25465.65.31.2552,046
3765.65.32.0/2165.65.32.1 to 65.65.39.25465.65.39.2552,046
3865.65.40.0/2165.65.40.1 to 65.65.47.25465.65.47.2552,046
3965.65.48.0/2165.65.48.1 to 65.65.55.25465.65.55.2552,046
4065.65.56.0/2165.65.56.1 to 65.65.63.25465.65.63.2552,046
4165.65.64.0/2165.65.64.1 to 65.65.71.25465.65.71.2552,046
4265.65.72.0/2165.65.72.1 to 65.65.79.25465.65.79.2552,046
4365.65.80.0/2165.65.80.1 to 65.65.87.25465.65.87.2552,046
4465.65.88.0/2165.65.88.1 to 65.65.95.25465.65.95.2552,046
4565.65.96.0/2165.65.96.1 to 65.65.103.25465.65.103.2552,046
4665.65.104.0/2165.65.104.1 to 65.65.111.25465.65.111.2552,046
4765.65.112.0/2165.65.112.1 to 65.65.119.25465.65.119.2552,046
4865.65.120.0/2165.65.120.1 to 65.65.127.25465.65.127.2552,046
4965.65.128.0/2165.65.128.1 to 65.65.135.25465.65.135.2552,046
5065.65.136.0/2165.65.136.1 to 65.65.143.25465.65.143.2552,046
5165.65.144.0/2165.65.144.1 to 65.65.151.25465.65.151.2552,046
5265.65.152.0/2165.65.152.1 to 65.65.159.25465.65.159.2552,046
5365.65.160.0/2165.65.160.1 to 65.65.167.25465.65.167.2552,046
5465.65.168.0/2165.65.168.1 to 65.65.175.25465.65.175.2552,046
5565.65.176.0/2165.65.176.1 to 65.65.183.25465.65.183.2552,046
5665.65.184.0/2165.65.184.1 to 65.65.191.25465.65.191.2552,046
5765.65.192.0/2165.65.192.1 to 65.65.199.25465.65.199.2552,046
5865.65.200.0/2165.65.200.1 to 65.65.207.25465.65.207.2552,046
5965.65.208.0/2165.65.208.1 to 65.65.215.25465.65.215.2552,046
6065.65.216.0/2165.65.216.1 to 65.65.223.25465.65.223.2552,046
6165.65.224.0/2165.65.224.1 to 65.65.231.25465.65.231.2552,046
6265.65.232.0/2165.65.232.1 to 65.65.239.25465.65.239.2552,046
6365.65.240.0/2165.65.240.1 to 65.65.247.25465.65.247.2552,046
6465.65.248.0/2165.65.248.1 to 65.65.255.25465.65.255.2552,046
6565.66.0.0/2165.66.0.1 to 65.66.7.25465.66.7.2552,046
6665.66.8.0/2165.66.8.1 to 65.66.15.25465.66.15.2552,046
6765.66.16.0/2165.66.16.1 to 65.66.23.25465.66.23.2552,046
6865.66.24.0/2165.66.24.1 to 65.66.31.25465.66.31.2552,046
6965.66.32.0/2165.66.32.1 to 65.66.39.25465.66.39.2552,046
7065.66.40.0/2165.66.40.1 to 65.66.47.25465.66.47.2552,046
7165.66.48.0/2165.66.48.1 to 65.66.55.25465.66.55.2552,046
7265.66.56.0/2165.66.56.1 to 65.66.63.25465.66.63.2552,046
7365.66.64.0/2165.66.64.1 to 65.66.71.25465.66.71.2552,046
7465.66.72.0/2165.66.72.1 to 65.66.79.25465.66.79.2552,046
7565.66.80.0/2165.66.80.1 to 65.66.87.25465.66.87.2552,046
7665.66.88.0/2165.66.88.1 to 65.66.95.25465.66.95.2552,046
7765.66.96.0/2165.66.96.1 to 65.66.103.25465.66.103.2552,046
7865.66.104.0/2165.66.104.1 to 65.66.111.25465.66.111.2552,046
7965.66.112.0/2165.66.112.1 to 65.66.119.25465.66.119.2552,046
8065.66.120.0/2165.66.120.1 to 65.66.127.25465.66.127.2552,046
8165.66.128.0/2165.66.128.1 to 65.66.135.25465.66.135.2552,046
8265.66.136.0/2165.66.136.1 to 65.66.143.25465.66.143.2552,046
8365.66.144.0/2165.66.144.1 to 65.66.151.25465.66.151.2552,046
8465.66.152.0/2165.66.152.1 to 65.66.159.25465.66.159.2552,046
8565.66.160.0/2165.66.160.1 to 65.66.167.25465.66.167.2552,046
8665.66.168.0/2165.66.168.1 to 65.66.175.25465.66.175.2552,046
8765.66.176.0/2165.66.176.1 to 65.66.183.25465.66.183.2552,046
8865.66.184.0/2165.66.184.1 to 65.66.191.25465.66.191.2552,046
8965.66.192.0/2165.66.192.1 to 65.66.199.25465.66.199.2552,046
9065.66.200.0/2165.66.200.1 to 65.66.207.25465.66.207.2552,046
9165.66.208.0/2165.66.208.1 to 65.66.215.25465.66.215.2552,046
9265.66.216.0/2165.66.216.1 to 65.66.223.25465.66.223.2552,046
9365.66.224.0/2165.66.224.1 to 65.66.231.25465.66.231.2552,046
9465.66.232.0/2165.66.232.1 to 65.66.239.25465.66.239.2552,046
9565.66.240.0/2165.66.240.1 to 65.66.247.25465.66.247.2552,046
9665.66.248.0/2165.66.248.1 to 65.66.255.25465.66.255.2552,046
9765.67.0.0/2165.67.0.1 to 65.67.7.25465.67.7.2552,046
9865.67.8.0/2165.67.8.1 to 65.67.15.25465.67.15.2552,046
9965.67.16.0/2165.67.16.1 to 65.67.23.25465.67.23.2552,046
10065.67.24.0/2165.67.24.1 to 65.67.31.25465.67.31.2552,046
10165.67.32.0/2165.67.32.1 to 65.67.39.25465.67.39.2552,046
10265.67.40.0/2165.67.40.1 to 65.67.47.25465.67.47.2552,046
10365.67.48.0/2165.67.48.1 to 65.67.55.25465.67.55.2552,046
10465.67.56.0/2165.67.56.1 to 65.67.63.25465.67.63.2552,046
10565.67.64.0/2165.67.64.1 to 65.67.71.25465.67.71.2552,046
10665.67.72.0/2165.67.72.1 to 65.67.79.25465.67.79.2552,046
10765.67.80.0/2165.67.80.1 to 65.67.87.25465.67.87.2552,046
10865.67.88.0/2165.67.88.1 to 65.67.95.25465.67.95.2552,046
10965.67.96.0/2165.67.96.1 to 65.67.103.25465.67.103.2552,046
11065.67.104.0/2165.67.104.1 to 65.67.111.25465.67.111.2552,046
11165.67.112.0/2165.67.112.1 to 65.67.119.25465.67.119.2552,046
11265.67.120.0/2165.67.120.1 to 65.67.127.25465.67.127.2552,046
11365.67.128.0/2165.67.128.1 to 65.67.135.25465.67.135.2552,046
11465.67.136.0/2165.67.136.1 to 65.67.143.25465.67.143.2552,046
11565.67.144.0/2165.67.144.1 to 65.67.151.25465.67.151.2552,046
11665.67.152.0/2165.67.152.1 to 65.67.159.25465.67.159.2552,046
11765.67.160.0/2165.67.160.1 to 65.67.167.25465.67.167.2552,046
11865.67.168.0/2165.67.168.1 to 65.67.175.25465.67.175.2552,046
11965.67.176.0/2165.67.176.1 to 65.67.183.25465.67.183.2552,046
12065.67.184.0/2165.67.184.1 to 65.67.191.25465.67.191.2552,046
12165.67.192.0/2165.67.192.1 to 65.67.199.25465.67.199.2552,046
12265.67.200.0/2165.67.200.1 to 65.67.207.25465.67.207.2552,046
12365.67.208.0/2165.67.208.1 to 65.67.215.25465.67.215.2552,046
12465.67.216.0/2165.67.216.1 to 65.67.223.25465.67.223.2552,046
12565.67.224.0/2165.67.224.1 to 65.67.231.25465.67.231.2552,046
12665.67.232.0/2165.67.232.1 to 65.67.239.25465.67.239.2552,046
12765.67.240.0/2165.67.240.1 to 65.67.247.25465.67.247.2552,046
12865.67.248.0/2165.67.248.1 to 65.67.255.25465.67.255.2552,046
12965.68.0.0/2165.68.0.1 to 65.68.7.25465.68.7.2552,046
13065.68.8.0/2165.68.8.1 to 65.68.15.25465.68.15.2552,046
13165.68.16.0/2165.68.16.1 to 65.68.23.25465.68.23.2552,046
13265.68.24.0/2165.68.24.1 to 65.68.31.25465.68.31.2552,046
13365.68.32.0/2165.68.32.1 to 65.68.39.25465.68.39.2552,046
13465.68.40.0/2165.68.40.1 to 65.68.47.25465.68.47.2552,046
13565.68.48.0/2165.68.48.1 to 65.68.55.25465.68.55.2552,046
13665.68.56.0/2165.68.56.1 to 65.68.63.25465.68.63.2552,046
13765.68.64.0/2165.68.64.1 to 65.68.71.25465.68.71.2552,046
13865.68.72.0/2165.68.72.1 to 65.68.79.25465.68.79.2552,046
13965.68.80.0/2165.68.80.1 to 65.68.87.25465.68.87.2552,046
14065.68.88.0/2165.68.88.1 to 65.68.95.25465.68.95.2552,046
14165.68.96.0/2165.68.96.1 to 65.68.103.25465.68.103.2552,046
14265.68.104.0/2165.68.104.1 to 65.68.111.25465.68.111.2552,046
14365.68.112.0/2165.68.112.1 to 65.68.119.25465.68.119.2552,046
14465.68.120.0/2165.68.120.1 to 65.68.127.25465.68.127.2552,046
14565.68.128.0/2165.68.128.1 to 65.68.135.25465.68.135.2552,046
14665.68.136.0/2165.68.136.1 to 65.68.143.25465.68.143.2552,046
14765.68.144.0/2165.68.144.1 to 65.68.151.25465.68.151.2552,046
14865.68.152.0/2165.68.152.1 to 65.68.159.25465.68.159.2552,046
14965.68.160.0/2165.68.160.1 to 65.68.167.25465.68.167.2552,046
15065.68.168.0/2165.68.168.1 to 65.68.175.25465.68.175.2552,046
15165.68.176.0/2165.68.176.1 to 65.68.183.25465.68.183.2552,046
15265.68.184.0/2165.68.184.1 to 65.68.191.25465.68.191.2552,046
15365.68.192.0/2165.68.192.1 to 65.68.199.25465.68.199.2552,046
15465.68.200.0/2165.68.200.1 to 65.68.207.25465.68.207.2552,046
15565.68.208.0/2165.68.208.1 to 65.68.215.25465.68.215.2552,046
15665.68.216.0/2165.68.216.1 to 65.68.223.25465.68.223.2552,046
15765.68.224.0/2165.68.224.1 to 65.68.231.25465.68.231.2552,046
15865.68.232.0/2165.68.232.1 to 65.68.239.25465.68.239.2552,046
15965.68.240.0/2165.68.240.1 to 65.68.247.25465.68.247.2552,046
16065.68.248.0/2165.68.248.1 to 65.68.255.25465.68.255.2552,046
16165.69.0.0/2165.69.0.1 to 65.69.7.25465.69.7.2552,046
16265.69.8.0/2165.69.8.1 to 65.69.15.25465.69.15.2552,046
16365.69.16.0/2165.69.16.1 to 65.69.23.25465.69.23.2552,046
16465.69.24.0/2165.69.24.1 to 65.69.31.25465.69.31.2552,046
16565.69.32.0/2165.69.32.1 to 65.69.39.25465.69.39.2552,046
16665.69.40.0/2165.69.40.1 to 65.69.47.25465.69.47.2552,046
16765.69.48.0/2165.69.48.1 to 65.69.55.25465.69.55.2552,046
16865.69.56.0/2165.69.56.1 to 65.69.63.25465.69.63.2552,046
16965.69.64.0/2165.69.64.1 to 65.69.71.25465.69.71.2552,046
17065.69.72.0/2165.69.72.1 to 65.69.79.25465.69.79.2552,046
17165.69.80.0/2165.69.80.1 to 65.69.87.25465.69.87.2552,046
17265.69.88.0/2165.69.88.1 to 65.69.95.25465.69.95.2552,046
17365.69.96.0/2165.69.96.1 to 65.69.103.25465.69.103.2552,046
17465.69.104.0/2165.69.104.1 to 65.69.111.25465.69.111.2552,046
17565.69.112.0/2165.69.112.1 to 65.69.119.25465.69.119.2552,046
17665.69.120.0/2165.69.120.1 to 65.69.127.25465.69.127.2552,046
17765.69.128.0/2165.69.128.1 to 65.69.135.25465.69.135.2552,046
17865.69.136.0/2165.69.136.1 to 65.69.143.25465.69.143.2552,046
17965.69.144.0/2165.69.144.1 to 65.69.151.25465.69.151.2552,046
18065.69.152.0/2165.69.152.1 to 65.69.159.25465.69.159.2552,046
18165.69.160.0/2165.69.160.1 to 65.69.167.25465.69.167.2552,046
18265.69.168.0/2165.69.168.1 to 65.69.175.25465.69.175.2552,046
18365.69.176.0/2165.69.176.1 to 65.69.183.25465.69.183.2552,046
18465.69.184.0/2165.69.184.1 to 65.69.191.25465.69.191.2552,046
18565.69.192.0/2165.69.192.1 to 65.69.199.25465.69.199.2552,046
18665.69.200.0/2165.69.200.1 to 65.69.207.25465.69.207.2552,046
18765.69.208.0/2165.69.208.1 to 65.69.215.25465.69.215.2552,046
18865.69.216.0/2165.69.216.1 to 65.69.223.25465.69.223.2552,046
18965.69.224.0/2165.69.224.1 to 65.69.231.25465.69.231.2552,046
19065.69.232.0/2165.69.232.1 to 65.69.239.25465.69.239.2552,046
19165.69.240.0/2165.69.240.1 to 65.69.247.25465.69.247.2552,046
19265.69.248.0/2165.69.248.1 to 65.69.255.25465.69.255.2552,046
19365.70.0.0/2165.70.0.1 to 65.70.7.25465.70.7.2552,046
19465.70.8.0/2165.70.8.1 to 65.70.15.25465.70.15.2552,046
19565.70.16.0/2165.70.16.1 to 65.70.23.25465.70.23.2552,046
19665.70.24.0/2165.70.24.1 to 65.70.31.25465.70.31.2552,046
19765.70.32.0/2165.70.32.1 to 65.70.39.25465.70.39.2552,046
19865.70.40.0/2165.70.40.1 to 65.70.47.25465.70.47.2552,046
19965.70.48.0/2165.70.48.1 to 65.70.55.25465.70.55.2552,046
20065.70.56.0/2165.70.56.1 to 65.70.63.25465.70.63.2552,046
20165.70.64.0/2165.70.64.1 to 65.70.71.25465.70.71.2552,046
20265.70.72.0/2165.70.72.1 to 65.70.79.25465.70.79.2552,046
20365.70.80.0/2165.70.80.1 to 65.70.87.25465.70.87.2552,046
20465.70.88.0/2165.70.88.1 to 65.70.95.25465.70.95.2552,046
20565.70.96.0/2165.70.96.1 to 65.70.103.25465.70.103.2552,046
20665.70.104.0/2165.70.104.1 to 65.70.111.25465.70.111.2552,046
20765.70.112.0/2165.70.112.1 to 65.70.119.25465.70.119.2552,046
20865.70.120.0/2165.70.120.1 to 65.70.127.25465.70.127.2552,046
20965.70.128.0/2165.70.128.1 to 65.70.135.25465.70.135.2552,046
21065.70.136.0/2165.70.136.1 to 65.70.143.25465.70.143.2552,046
21165.70.144.0/2165.70.144.1 to 65.70.151.25465.70.151.2552,046
21265.70.152.0/2165.70.152.1 to 65.70.159.25465.70.159.2552,046
21365.70.160.0/2165.70.160.1 to 65.70.167.25465.70.167.2552,046
21465.70.168.0/2165.70.168.1 to 65.70.175.25465.70.175.2552,046
21565.70.176.0/2165.70.176.1 to 65.70.183.25465.70.183.2552,046
21665.70.184.0/2165.70.184.1 to 65.70.191.25465.70.191.2552,046
21765.70.192.0/2165.70.192.1 to 65.70.199.25465.70.199.2552,046
21865.70.200.0/2165.70.200.1 to 65.70.207.25465.70.207.2552,046
21965.70.208.0/2165.70.208.1 to 65.70.215.25465.70.215.2552,046
22065.70.216.0/2165.70.216.1 to 65.70.223.25465.70.223.2552,046
22165.70.224.0/2165.70.224.1 to 65.70.231.25465.70.231.2552,046
22265.70.232.0/2165.70.232.1 to 65.70.239.25465.70.239.2552,046
22365.70.240.0/2165.70.240.1 to 65.70.247.25465.70.247.2552,046
22465.70.248.0/2165.70.248.1 to 65.70.255.25465.70.255.2552,046
22565.71.0.0/2165.71.0.1 to 65.71.7.25465.71.7.2552,046
22665.71.8.0/2165.71.8.1 to 65.71.15.25465.71.15.2552,046
22765.71.16.0/2165.71.16.1 to 65.71.23.25465.71.23.2552,046
22865.71.24.0/2165.71.24.1 to 65.71.31.25465.71.31.2552,046
22965.71.32.0/2165.71.32.1 to 65.71.39.25465.71.39.2552,046
23065.71.40.0/2165.71.40.1 to 65.71.47.25465.71.47.2552,046
23165.71.48.0/2165.71.48.1 to 65.71.55.25465.71.55.2552,046
23265.71.56.0/2165.71.56.1 to 65.71.63.25465.71.63.2552,046
23365.71.64.0/2165.71.64.1 to 65.71.71.25465.71.71.2552,046
23465.71.72.0/2165.71.72.1 to 65.71.79.25465.71.79.2552,046
23565.71.80.0/2165.71.80.1 to 65.71.87.25465.71.87.2552,046
23665.71.88.0/2165.71.88.1 to 65.71.95.25465.71.95.2552,046
23765.71.96.0/2165.71.96.1 to 65.71.103.25465.71.103.2552,046
23865.71.104.0/2165.71.104.1 to 65.71.111.25465.71.111.2552,046
23965.71.112.0/2165.71.112.1 to 65.71.119.25465.71.119.2552,046
24065.71.120.0/2165.71.120.1 to 65.71.127.25465.71.127.2552,046
24165.71.128.0/2165.71.128.1 to 65.71.135.25465.71.135.2552,046
24265.71.136.0/2165.71.136.1 to 65.71.143.25465.71.143.2552,046
24365.71.144.0/2165.71.144.1 to 65.71.151.25465.71.151.2552,046
24465.71.152.0/2165.71.152.1 to 65.71.159.25465.71.159.2552,046
24565.71.160.0/2165.71.160.1 to 65.71.167.25465.71.167.2552,046
24665.71.168.0/2165.71.168.1 to 65.71.175.25465.71.175.2552,046
24765.71.176.0/2165.71.176.1 to 65.71.183.25465.71.183.2552,046
24865.71.184.0/2165.71.184.1 to 65.71.191.25465.71.191.2552,046
24965.71.192.0/2165.71.192.1 to 65.71.199.25465.71.199.2552,046
25065.71.200.0/2165.71.200.1 to 65.71.207.25465.71.207.2552,046
25165.71.208.0/2165.71.208.1 to 65.71.215.25465.71.215.2552,046
25265.71.216.0/2165.71.216.1 to 65.71.223.25465.71.223.2552,046
25365.71.224.0/2165.71.224.1 to 65.71.231.25465.71.231.2552,046
25465.71.232.0/2165.71.232.1 to 65.71.239.25465.71.239.2552,046
25565.71.240.0/2165.71.240.1 to 65.71.247.25465.71.247.2552,046
25665.71.248.0/2165.71.248.1 to 65.71.255.25465.71.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses